curl "https://api.phrase.com/v2/accounts/:account_id/distributions/:distribution_id/release_triggers/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"cron_schedule":"15 18 * * 1,3","time_zone":"Europe/Berlin","locale_ids":["abcd1234cdef1234abcd1234cdef1234","fff565db236400772368235db2c6117e"],"tags":["android","feature1"],"branch":"my-feature-branch","app_min_version":"1.0.0","app_max_version":"2.0.0"}' \
-H 'Content-Type: application/json'phrase release_triggers update \
--account_id <account_id> \
--distribution_id <distribution_id> \
--id <id> \
--data '{"cron_schedule":"15 18 * * 1,3","time_zone":"Europe/Berlin","locale_ids":["abcd1234cdef1234abcd1234cdef1234","fff565db236400772368235db2c6117e"],"tags":["android","feature1"],"branch":"my-feature-branch","app_min_version":"1.0.0","app_max_version":"2.0.0"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers/{id}"
payload = {
"cron_schedule": "15 18 * * 1,3",
"time_zone": "Europe/Berlin",
"locale_ids": ["abcd1234cdef1234abcd1234cdef1234", "fff565db236400772368235db2c6117e"],
"tags": ["android", "feature1"],
"branch": "my-feature-branch",
"app_min_version": "1.0.0",
"app_max_version": "2.0.0"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cron_schedule: '15 18 * * 1,3',
time_zone: 'Europe/Berlin',
locale_ids: ['abcd1234cdef1234abcd1234cdef1234', 'fff565db236400772368235db2c6117e'],
tags: ['android', 'feature1'],
branch: 'my-feature-branch',
app_min_version: '1.0.0',
app_max_version: '2.0.0'
})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
],
"branch": "my-feature-branch",
"tags": [
"android",
"feature1"
],
"cron_schedule": "15 18 * * 1,3",
"time_zone": "Europe/Berlin",
"next_run_at": "2015-01-28T09:52:53Z",
"app_min_version": "1.0.0",
"app_max_version": "2.0.0",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}Update a release trigger
Update a recurring release.
curl "https://api.phrase.com/v2/accounts/:account_id/distributions/:distribution_id/release_triggers/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"cron_schedule":"15 18 * * 1,3","time_zone":"Europe/Berlin","locale_ids":["abcd1234cdef1234abcd1234cdef1234","fff565db236400772368235db2c6117e"],"tags":["android","feature1"],"branch":"my-feature-branch","app_min_version":"1.0.0","app_max_version":"2.0.0"}' \
-H 'Content-Type: application/json'phrase release_triggers update \
--account_id <account_id> \
--distribution_id <distribution_id> \
--id <id> \
--data '{"cron_schedule":"15 18 * * 1,3","time_zone":"Europe/Berlin","locale_ids":["abcd1234cdef1234abcd1234cdef1234","fff565db236400772368235db2c6117e"],"tags":["android","feature1"],"branch":"my-feature-branch","app_min_version":"1.0.0","app_max_version":"2.0.0"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers/{id}"
payload = {
"cron_schedule": "15 18 * * 1,3",
"time_zone": "Europe/Berlin",
"locale_ids": ["abcd1234cdef1234abcd1234cdef1234", "fff565db236400772368235db2c6117e"],
"tags": ["android", "feature1"],
"branch": "my-feature-branch",
"app_min_version": "1.0.0",
"app_max_version": "2.0.0"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cron_schedule: '15 18 * * 1,3',
time_zone: 'Europe/Berlin',
locale_ids: ['abcd1234cdef1234abcd1234cdef1234', 'fff565db236400772368235db2c6117e'],
tags: ['android', 'feature1'],
branch: 'my-feature-branch',
app_min_version: '1.0.0',
app_max_version: '2.0.0'
})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
],
"branch": "my-feature-branch",
"tags": [
"android",
"feature1"
],
"cron_schedule": "15 18 * * 1,3",
"time_zone": "Europe/Berlin",
"next_run_at": "2015-01-28T09:52:53Z",
"app_min_version": "1.0.0",
"app_max_version": "2.0.0",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}Authorizations
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Distribution ID
ID
Body
Cron schedule for the scheduler. Read more about the format of this field at https://en.wikipedia.org/wiki/Cron
"15 18 * * 1,3"
Time zone for the scheduler
"Europe/Berlin"
List of locale ids that will be included in the release.
[ "abcd1234cdef1234abcd1234cdef1234", "fff565db236400772368235db2c6117e" ]
Only include tagged keys in the release. For a key to be included it must be tagged with all tags provided
["android", "feature1"]
Branch used for release
"my-feature-branch"
The created releases will be available only for apps with version greater or equal to this value
"1.0.0"
The created releases will be available only for apps with version less or equal to this value
"2.0.0"
Response
OK
Cron schedule for the scheduler. Read more about the format of this field at https://en.wikipedia.org/wiki/Cron
Time zone for the scheduler
The next time a release will be created for this trigger
Show child attributes
Show child attributes
Was this page helpful?